#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "dict.h"

void main(int argc,char **argv)
{
  int n,w;
  E2C_Dictionary DICT;
  FILE *fp;
  
  memset(&DICT,0,sizeof(DICT));

  while (argc>1) {
    argc--;
    fp = fopen(argv[argc],"rt");
    if (fp==NULL) continue;
    dict_LoadDictionary(fp,&DICT);
    fclose(fp);
  }
  
  for (n=0;n<DICT.size;n++) {
    printf("\"%s\"%c",DICT.DICT[n]->english,9);
    for (w=0;w<DICT.DICT[n]->size;w++)
      printf("%c%s",9,DICT.DICT[n]->chinese[w]);
    printf("\n");
  }
}
